#include <bits/stdc++.h>

bool cmp(std::string a, std::string b)
{
    int i = 0;
    while(a[i] == b[i] && i < a.size() && i < b.size())
    {
        i ++;
    }
    if(i < a.size() && i < b.size())
        return a[i] > b[i];
    else if(i < a.size())
        return a[a.size() - 1] > a[0];
    else if(i < b.size())
        return b[b.size() - 1] < b[0];
    return true;


}
int main()
{
    std::string s[4];
    int n = 3;
    for(int i = 0; i < n; i ++)
    {
        std::cin >> s[i];
    }
    std::sort(s, s + n, cmp);
    for(int i = 0; i < n; i ++)
    {
        for(auto& x : s[i])
        {
            std::cout << x;
        }
    }
    return 0;
}